function addproduct() {
    var f = document.forms[0];

    if (f.productname.value == "") {
        alert("请输入商品名!");
        f.productname.focus();
        return false;
    }
    else if (f.classid.value == "0") {
        alert("请选择商品分类!");
        f.classid.focus();
        return false;
    }

    else if (f.productprice.value == "") {
        alert("请输入商品价格!");
        f.productprice.focus();
        return false;
    }
    else if (f.shopurl.value == "") {
        alert("请输入店铺链接!");
        f.shopurl.focus();
        return false;
    }
    else if (f.producturl.value == "") {
        alert("请输入商品链接!");
        f.producturl.focus();
        return false;
    }
    else if (f.producttext.value == "") {
        alert("请输入商品介绍!");
        f.producttext.focus();
        return false;
    }
    else if (f.productpic.value == "") {
        alert("请选择上传商品图片!");
        f.productpic.focus();
        return false;
    }

    else {
        return true;
    }
}